---
## PRELUDE
- name: "info : Checking the state of cluster service {{ sx_cs_name }}"
  stat:
    path: "{{ sx_cs_path }}/{{ sx_cs_name }}"
  register: __sx_cs_state

## INTERLUDE
- name: "info : Generate clusterservice information file"
  template:
    src: info-clusterservice.txt.j2
    dest: "{{ sx_cs_info.dest }}/{{ sx_cs_name }}-{{ sx_cs_info.suffix }}"
  when: sx_cs_info.mode == 'file'
  tags: 
    - clusterservice
    - info
- name: "info : Display clusterservice information"
  debug:
    msg: "{{ lookup('template' , 'info-clusterservice.txt.j2') }}"
  when: sx_cs_info.mode == 'log'
  tags: 
    - clusterservice
    - info